package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.RegionPutOnRecordRate;
import com.lightinit.hsdatashow.entity.RegionPutOnRecordRateExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RegionPutOnRecordRateMapper {
    long countByExample(RegionPutOnRecordRateExample example);

    int deleteByExample(RegionPutOnRecordRateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RegionPutOnRecordRate record);

    int insertSelective(RegionPutOnRecordRate record);

    List<RegionPutOnRecordRate> selectByExample(RegionPutOnRecordRateExample example);

    RegionPutOnRecordRate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RegionPutOnRecordRate record, @Param("example") RegionPutOnRecordRateExample example);

    int updateByExample(@Param("record") RegionPutOnRecordRate record, @Param("example") RegionPutOnRecordRateExample example);

    int updateByPrimaryKeySelective(RegionPutOnRecordRate record);

    int updateByPrimaryKey(RegionPutOnRecordRate record);
}